apiVersion: v1
kind: Secret
metadata:
  name: {{ alertmanager_name }}
  namespace: {{ namespace }}
stringData:
  alertmanager.yml: |
    global:
      resolve_timeout: 5m
      smtp_from: alertmanager@{{ root_domain }}
{% if smtp_relay | default(False) %}
      smtp_require_tls: False
      smtp_smarthost: {{ smtp_relay }}:{{ smtp_port | default(25) }}
{% elif smtps_address | default(False) %}
      smtp_require_tls: True
      smtp_smarthost: {{ smtps_address | urlsplit('hostname') }}:{{ smtps_address | urlsplit('port') }}
{% elif smtp_address | default(False) %}
      smtp_require_tls: False
      smtp_smarthost: {{ smtp_address | urlsplit('hostname') }}:{{ smtp_address | urlsplit('port') }}
{% endif %}
    inhibit_rules:
    - source_match_re:
        internal: workinghours
      target_match:
        job: .+
    receivers:
    - name: deadmansswitch
    - name: default
{% if notify_slack_address | default(False) %}
      slack_configs:
      - api_url: {{ notify_slack_address }}
        channel: #{{ notify_slack_channel }}
        send_resolved: {{ notify_send_resolved }}
{% endif %}
{% if notify_teams_address | default(False) %}
      webhook_configs:
      - url: http://127.0.0.1:2000/alertmanager
        send_resolved: {{ notify_send_resolved }}
{% endif %}
{% if notify_email_address | default(False) and (smtp_relay | default(False) or smtp_address | default(False) or smtps_address | default(False)) %}
      email_configs:
      - from: prometheus@{{ root_domain }}
        send_resolved: {{ notify_send_resolved }}
        to: {{ notify_email_address }}
{% if not (smtp_relay | default(False)) and smtps_address | default(False) %}
        tls_config:
          ca_file: /certs/ca.crt
{% endif %}
{% endif %}
{% if notify_http_address | default(False) %}
      webhook_configs:
      - url: {{ notify_http_address }}
        send_resolved: {{ notify_send_resolved }}
{% endif %}
    route:
      group_by:
      - job
      group_interval: 5m
      group_wait: 30s
      receiver: default
      repeat_interval: 12h
      routes:
      - match:
          alertname: DeadMansSwitch
        receiver: deadmansswitch
        repeat_interval: 5m
      - match:
          severity: warning
        receiver: default
        repeat_interval: 6h
      - match:
          severity: critical
        receiver: default
        repeat_interval: 3h
{% if notify_teams_address | default(False) %}
  teams-url: {{ notify_teams_address }}
{% endif %}
